<?php
/*
	eTicket, Open Source Support Ticket System
	http://eticket.sourceforge.net/

	Released under the GNU General Public License
*/

error_reporting(0); //stop moaning about the warnings and notices
set_time_limit(0); //we don't want to time out too early now...

require_once('init.php');
$nosubject='[No Subject]';

if (!function_exists('imap_open')) { $err = LANG_ERROR_IMAP.'<br>'; }
else {

function get_mime_type(&$structure) {
	$primary_mime_type = array('TEXT', 'MULTIPART', 'MESSAGE', 'APPLICATION', 'AUDIO', 'IMAGE', 'VIDEO', 'OTHER');
	
	if($structure->subtype) {
		return $primary_mime_type[(int) $structure->type] . '/' . $structure->subtype;
	}
	return 'TEXT/PLAIN';
}

function get_part($stream, $msg_number, $mime_type, $structure = false, $part_number = false) {
	if(!$structure) {
		$structure = imap_fetchstructure($stream, $msg_number);
	}
	if($structure) {
		if($mime_type == get_mime_type($structure)) {
			if(!$part_number) {
				$part_number = 1;
			}
			$text = imap_fetchbody($stream, $msg_number, $part_number);
			if($structure->encoding == 3) { return imap_base64($text); }
			else if($structure->encoding == 4) { return imap_qprint($text); }
			else { return $text; }
		}
		if($structure->type == 1) /* multipart */ {
			while(list($index, $sub_structure) = each($structure->parts)) {
				if($part_number) {
					$prefix = $part_number.'.';
				}
				$data = get_part($stream, $msg_number, $mime_type, $sub_structure, $prefix . ($index + 1));
				if($data) {
					return $data;
				}
			}
		}
	}
	return false;
}

$cat_res = mysql_query("SELECT * FROM ticket_categories");

	// banlist MOD - START(part 1 - load banlist)
    $banlist = array();
    $ban_res = mysql_query('SELECT * FROM ticket_banlist');
    while ($ban_row = mysql_fetch_array($ban_res)) {
        $banlist[]=$ban_row['value'];
    }
	// banlist MOD - END

while ($cat_row = mysql_fetch_array($cat_res)) {
if ($cat_row['pophost']) {
    $mbox = @imap_open('{'.$cat_row['pophost'].'/pop3:110}INBOX',$cat_row['popuser'],$cat_row['poppass']);
    if (!$mbox) { $mbox = @imap_open('{'.$cat_row['pophost'].'/pop3/notls}INBOX',$cat_row['popuser'],$cat_row['poppass']); }
    	
    if (!$mbox) { $err .= LANG_ERROR_UNABLE_TO_OPEN_MAILBOX.' '.$cat_row['name'].'<br>'; }
	else {
	$curmsg = 1;

	while ($curmsg <= @imap_num_msg($mbox)) {
		$body = get_part($mbox, $curmsg, 'TEXT/PLAIN');
		if (!$body) { $body = get_part($mbox, $curmsg, 'TEXT/HTML'); }
		if (!$body) { $curmsg++; continue; }
		$head = imap_headerinfo($mbox, $curmsg, 800, 800);

		$email = $head->reply_toaddress;
		$name='';
		if (strpos($email, '<')) { $email = eregi_replace('.*<(.*)>.*', '\\1', $email); }
		if (preg_match("/^(?:(.*?)[ ]?)?<(.*?)>|(.*?)$/", $head->fromaddress,$matches)) {
			if ($email == '') $email = $matches[2].$matches[3];
			$decoded = imap_mime_header_decode($matches[1]);
			for ($i = 0; $i < count($decoded); $i++) $name .= $decoded[$i]->text;
			if (preg_match("/^\".+\"$/i", $name)) $name = substr($name, 1, -1);
		}
		if ($name == '') { $name = $email; }
        
        // banlist MOD - START (part 2 - check banlist)
      $banned=0;
      foreach ($banlist as $banline) {
				if (strlen($banline) && stristr($head->fromaddress, $banline)) { $banned=1; }
				if (strlen($banline) && stristr($head->subject, $banline)) { $banned=1; }  
				if (strlen($banline) && stristr($body, $banline)) { $banned=1; } 
      }
		// If banned, delete message and skip the rest
		if ($banned) {
			@imap_delete($mbox, $curmsg);
			$curmsg++;
			continue;
		}
		// banlist MOD - END

		$subject = $head->fetchsubject;

		// Hinzugefuegt fr Umlaute im Betreff, 30.01.2005
		// the language fix
        $decoded = imap_mime_header_decode($subject);

		 // Geaendert, 30.01.2005 (S.K.)
		 $subject = '';
		 for($i = 0; $i < count($decoded); $i++) {

		$subject .= $decoded[$i]->text;
		$subject .= "\n\n";
		}
        //$subject = $decoded[0]->text;

        $head->fetchsubject = $subject;
        // Aenderung Ende

        $subject = !$subject ? $nosubject: $subject;

        $eml_headers = imap_fetchheader($mbox, $curmsg, FT_PREFETCHTEXT);
        $x_pri = split("\n", $eml_headers);
        foreach ($x_pri as $item) {
            $arr = split(": ", $item);
            if (eregi('x-priority', $arr[0])) {
                if (strstr($arr[1], 1) or strstr($arr[1], 2)) { $pri = 3; }
                elseif (strstr($arr[1], 4) or strstr($arr[1], 5)) { $pri = 1; }
            }
            elseif (eregi('X-Originating-IP', $arr[0])) {
                $ip = $arr[1];
                $ip = eregi_replace('\[(.*)\]', '\\1', $ip);
            }
        }
        if (!$pri) { $pri = 2; }
            
        $body = trim($body);
        
        if ($config['remove_original'] && $config['remove_tag'] && strpos($body, $config['remove_tag'])) {
            $lines = split($config['remove_tag'], $body);
            $body = $lines[0];
        }

      $c = mysql_fetch_array(mysql_query("SELECT COUNT(*) AS cnt FROM tickets WHERE email='$email' AND status='open'"));
      if ($c['cnt'] > $config['ticket_max']) {

			/*$limit_msg = str_replace('%url', $config['root_url'], $config['limit_msg']);
			$limit_msg = str_replace('%local_email', $cat_row['email'], $limit_msg);
			$limit_msg = str_replace('%user_email', $email, $limit_msg);
			$limit_msg = str_replace('%ticket_max', $config['ticket_max'], $limit_msg);
            
      if ($config['limit_response']) { //don't need to send the email AND display the error.
          mail($email, $config['limit_subj'], $limit_msg, 'From: '.$config['limit_email'],'-f'.$config['limit_email']);
      }*/

			@imap_delete($mbox, $curmsg);
            $curmsg++;
            continue;
        }
			unset($ticket_id); unset($send_notice);
    	if (ereg('[[][#][0-9]{6}[]]', $head->fetchsubject)) {
				$id=substr(strstr($head->fetchsubject, '[#'), 2, 6);
				if ($id=ValidID($id)) { $ticket_id=$id; }
				$send_notice=TRUE;
    	}
    	if (!isset($ticket_id)) {
    		$ticket_id=CreateTicket($subject, $name, $email, $cat_row['ID'], '', $pri, $ip, $body);
				$send_notice=FALSE; //a notice is already sent by CreateTicket
			}
    	
    	$iid=PostMessage($ticket_id, $body, $eml_headers, $send_notice);
    	
    	if (is_dir($config['attachment_dir']) && $config['accept_attachments']) {
    	$struct = imap_fetchstructure($mbox, $curmsg);
        for ($i = 0; $q < count($struct->parts); ++$q) {
            $filename='';
            $section = $struct->parts[$q];

            $param = $section->dparameters;
            for ($x = 0; $x <= count($param); ++$x) {
                if (eregi('filename', $param[$x]->attribute)) {
                      $decoded_filename = imap_mime_header_decode($param[$x]->value);
                      $filename = $decoded_filename[0]->text;
                }
            }
            $part = imap_fetchbody($mbox, $curmsg, $q+1);
            $ext=get_ext($filename);
            if ($filename && stristr($config['filetypes'],".$ext;")) {
                if ($section->encoding == '3') { $part = base64_decode($part); }
                if ($section->encoding == '4') { $part = quoted_printable_decode($part); }
                if (!$config['attachment_size'] || ($section->bytes <= $config['attachment_size'])) {
                	mt_srand(time());
                	$rand=mt_rand(100000, 999999); //six chars.
                	$file = fopen($config['attachment_dir'].$rand.'_'.$filename, 'w+');
                	fputs($file, $part);
                	fclose($file);
                	mysql_query("INSERT INTO ticket_attachments (ticket, ref, filename, type) VALUES ($ticket_id, $iid, '$rand"."_$filename', 'q')");
                }
            }
        }
        }
        
    	@imap_delete($mbox, $curmsg);
		$curmsg++;
	}
	@imap_expunge($mbox);
	@imap_close($mbox);
	}
	}
}
}
?>
