<?php
/*
	eTicket, Open Source Support Ticket System
	http://eticket.sourceforge.net/

	Released under the GNU General Public License

	------------------------------------------------------------

	This file holds the language/regional data for eTicket

	If the phrase or word you are looking for is not in here, its either:
	not editable, part of a theme or I missed one.

	I may add this into the database once the next stages are complete
*/

/*

Notice for alternative language users:

If you have a language file, include it at the top here, eg:

	include_once('lang.es.php');

Because a define cannot be "re-defined" (unless unset first), this is the ideal solution.
Therefore it must appear above the default language defines below.

This way we ensure that your language details are defined, and not over-written,
 plus any newly defined ones will appear in english.

*/

define('LANG_VERSION','EN,GB,1.5.5.2'); //English, Great Britain for eTicket v1.4 BETA
define('LANG_FATAL_ERROR','Fatal Error');
define('LANG_ERROR','Error');
define('LANG_WELCOME','Welcome');
define('LANG_REMOVE_FOR_SECURITY_REASONS','Should be removed for security reasons.');
define('LANG_INC_DIR_NOT_EXIST','Include directory does not exist.');
define('LANG_DB_COULD_NOT_CONNECT','Could not connect to database.');
define('LANG_COULD_NOT_GET_CONF','Could not retrieve configuration from database.');
define('LANG_FIX_ABOVE_ERRORS','Please fix the above errors.');
define('LANG_ERROR_ATTACHMENTS_DIR','Attachments directory is missing or not writable');
define('LANG_ERROR_BAD_FILETYPE','is an unsupported filetype.');
define('LANG_ERROR_NOT_POSTED','Could not post your message.');
define('LANG_ERROR_MISSING_FIELDS','There are required fields missing.');
define('LANG_ERROR_INVALID_PASS','Invalid password.');
define('LANG_ERROR_USER_EXISTS','Username already exists.');
define('LANG_ERROR_PASSWORD_NOMATCH','Passwords do not match.');
define('LANG_ERROR_ATTACHMENT_DIR','Attachment directory cannot be found.');
define('LANG_ERROR_CAT_EXISTS','Category already exists.');
define('LANG_ERROR_GROUP_EXISTS','User group already exists.');
define('LANG_ERROR_ONE_REP','Must have at least one representative.');
define('LANG_ERROR_NAME_EXISTS','Name already exists.');
define('LANG_ERROR_REP_USER_EXISTS','Representative username already exists.');
define('LANG_ERROR_ADMIN_GROUP_NOMOD','Cannot modify Administrator group.');
define('LANG_ERROR_ADMIN_GROUP_NODEL','Cannot delete Administrator group.');
define('LANG_ERROR_GROUP_INUSE','Cannot delete user group, as it is still in use.');
define('LANG_FAILED','Failed.');
define('LANG_TRANS_FROM','Transferred from');
define('LANG_TRANS_NOTE','Transfer Note');
define('LANG_TRANSFER','Transfer');
define('LANG_SEND_ALERT','Send Alert?');
define('LANG_OPT_MSG','Optional Message');
define('LANG_ATTACHMENT','Attachment');
define('LANG_HEADERS','headers');
define('LANG_CAT','Category');
define('LANG_ERROR_IMAP','PHP does not appear to be compiled with <a href="http://www.php.net/imap">imap functions</a> used for POP3.');
define('LANG_ERROR_UNABLE_TO_OPEN_MAILBOX','Unable to open mailbox for category');
define('LANG_LOGIN_TIP','If this is your first time contacting us, please use the "open ticket" form below to open a new ticket. Otherwise if you would like to view the status of an existing ticket, enter your details in the "view status" form.');
define('LANG_OPENED_TICKET_SUBJECT','Opened New Ticket');
define('LANG_OPENED_TICKET_MSG',"A support ticket has been created and a representative will be getting back to you shortly. An email with the ticket ID has been sent. You will need the ticket ID along with your email address to login and to view status of your ticket(s).\n\nNOTE: If you wish to send additional information regarding this ticket, please do not open another ticket. Instead, reply to the email.<br>\n\n- The Support Team");
define('LANG_VIEW_STATUS','View Status');
define('LANG_EMAIL','Email');
define('LANG_YOUR_EMAIL','Your email address');
define('LANG_TICKET_ID','Ticket ID');
define('LANG_STATUS','Status');
define('LANG_SUBJECT','Subject');
define('LANG_NAME','Name');
define('LANG_IP','IP');
define('LANG_PHONE','Phone');
define('LANG_PRIORITY','Priority');
define('LANG_QUERY','Query');
define('LANG_SORT_BY','Sort By');
define('LANG_DATE','Date');
define('LANG_ASC','Ascending');
define('LANG_DES','Descending');
define('LANG_SEARCH','Search');
define('LANG_BASIC','Basic');
define('LANG_ADVANCED','Advanced');
define('LANG_RESULTS_PP','Results Per Page');
define('LANG_TICKETS_PP','Tickets Per Page');
define('LANG_SEARCH_TICKETS','Search Tickets');
define('LANG_TICKETS_FOUND','Ticket(s) Found');
define('LANG_ERROR_NO_SUBJECT','Please specify a subject.');
define('LANG_ERROR_NO_NAME','Please specify your name.');
define('LANG_ERROR_NO_MSG','Please specify a message.');
define('LANG_ERROR_INVALID_EMAIL','Please enter a valid email address.');
define('LANG_WARN_ATTACH_REM','Attachment removed');
define('LANG_ERROR_UPLOAD_SECURITY','upload security error');
define('LANG_ERROR_NO_ATTACH','Attachments are disabled');
define('LANG_ATTACHMENTS','Attachments');
define('LANG_ERROR_LOGIN','You have entered an invalid login details. Please try again.');
define('LANG_LOGIN_PLEASE','Please login');
define('LANG_USER','Username');
define('LANG_PASS','Password');
define('LANG_NPASS','New Password');
define('LANG_VPASS','Verify Password');
define('LANG_LOGIN','Log In');
define('LANG_ADD','Add');
define('LANG_REPLY_TO_MSG','Reply to Message');
define('LANG_PRV_STAFF_MSG','Private Staff Message');
define('LANG_REPLY_AND_CLOSE','Reply and Close');
define('LANG_PRIV_MSGS','Private Messages');
define('LANG_GROUP','Group');
define('LANG_SIGNATURE','Signature');
define('LANG_ERROR_DENIED','Error 403 Access Forbidden.');
define('LANG_ERROR_NOTFOUND','Error 404 Not Found.');
define('LANG_BACK_TO_MAIN','Back to main');
define('LANG_BACK_TO_LIST','Back to list');
define('LANG_EDIT','Edit');
define('LANG_COPY','Copy');
define('LANG_EDIT_BANNED','Edit Banned');
define('LANG_CONFIRM_DELETE','Confirm Delete');
define('LANG_DELETE','Delete');
define('LANG_DELETE_BANNED','Delete Banned');
define('LANG_ADD_COPY_BANNED','Add/Copy Banned');
define('LANG_CREATE_REP','Create Representative');
define('LANG_SAVE_CHANGES','Save Changes');
define('LANG_CREATE_CAT','Create Category');
define('LANG_VIEW','View');
define('LANG_OPEN','Open');
define('LANG_OPEN_TICKET','Open Ticket');
define('LANG_RESET','Reset');
define('LANG_ADD_NEW','Add New');
define('LANG_TICKETS','Tickets');
define('LANG_TICKET','Ticket');
define('LANG_FROM','From');
define('LANG_TO','To');
define('LANG_HOST','Host');
define('LANG_HIDDEN','Hidden');
define('LANG_UM','UM');
define('LANG_DEPT','Department');
define('LANG_LOW','Low');
define('LANG_NORMAL','Normal');
define('LANG_HIGH','High');
define('LANG_ENABLE','Enable');
define('LANG_ANS_TICKETS','Answered Tickets');
define('LANG_NEW_TICKET_REPLY','New Ticket Reply');
define('LANG_NEW_TICKET_REPLY_INFO','You can define the message that will be seen everytime a new ticket is opened.');
define('LANG_MSG','Message');
define('LANG_VARS','Variables');
define('LANG_VAR_EMAIL',"User's Email Address");
define('LANG_VAR_SUBJECT','Subject of email');
define('LANG_VAR_MESSAGE','Incoming Message');
define('LANG_VAR_NAME','Name of user');
define('LANG_VAR_DATETIME','Date and Time at send time');
define('LANG_ROOT_URL','Root URL');
define('LANG_NEW_MSG_REPLY','New Message Reply');
define('LANG_NEW_MSG_REPLY_INFO','You can define the message that will be seen everytime a replied is made to a ticket.');
define('LANG_TICKET_LIMIT_REPLY','Ticket Limit Reply');
define('LANG_TICKET_LIMIT_REPLY_INFO','This message will be seen when a user has reached the max allowed opened tickets defined in preferences.');
define('LANG_TICKET_MAX_VAR','Maximum tickets a user can have open (see preferences).');
define('LANG_CAT_TRANS_NOTICE','Category Transfer Notification');
define('LANG_CAT_TRANS_NOTICE_INFO','This message will be seen when a message has been transfered to a different category.');
define('LANG_CAT_NAME_VAR','Name of category transferred to.');
define('LANG_TRANS_MSG_VAR','Representative transfer note.');
define('LANG_EMAIL_ALERT','Email Alert');
define('LANG_EMAIL_ALERT_INFO','This message will be seen by Admin only when the system has received a new message.');
define('LANG_ADDR_TO_EMAIL','Addresses to Email');
define('LANG_FROM_EMAIL','From Email');
define('LANG_MSG_VAR','Content of ticket request.');
define('LANG_WARNING','WARNING');
define('LANG_ACC_ATTACH','Accept file attachments');
define('LANG_ACC_ATTACH_TIP','Before you enable this feature you need to setup the attachment dir and understand the security issues related to attachments.');
define('LANG_MAX_FILE_SIZE','Maximum File Size (bytes)');
define('LANG_ATTACH_URL_PATH','Attachment URL path');
define('LANG_ATTACH_DIR','Attachment Directory');
define('LANG_ATTACH_DIR_TIP','This directory MUST exist and MUST be writable (chmod 777) before you can enable attachments. (Note: must have a trailing slash)');
define('LANG_ACC_FILE_TYPES','Accepted File Types');
define('LANG_REM_TYPE','Remove Type');
define('LANG_MAIL','Mail');
define('LANG_ANS_METHOD','Answer Method');
define('LANG_SAVE_EMAIL_HEADERS','Save Email Headers');
define('LANG_MIN_EMAIL_INT','Min. Email Interval (seconds)');
define('LANG_MAX_OPEN_TICKETS','Maximum Open Tickets');
define('LANG_REM_ORIGINAL_EMAIL','Remove Original Email');
define('LANG_REM_TAG','Removal Tag');
define('LANG_MISC','Miscellaneous');
define('LANG_SEARCH_ON_MAIN','Search on Main Page');
define('LANG_PREF_TIMEZONE','Preferred Timezone');
define('LANG_NO_ANS_MSGS','Number of last answered to display');
define('LANG_TIME_FORMAT','Time Format');
define('LANG_ANSWERED','Answered');
define('LANG_CLOSED','Closed');
define('LANG_CLOSE','Close');
define('LANG_IN_PROGRESS','In Process...');
define('LANG_VIEW_OPEN','View Open');
define('LANG_VIEW_ANSWERED','View Answered');
define('LANG_VIEW_CLOSED','View Closed');
define('LANG_REOPEN','Reopen');
define('LANG_REFRESH','Refresh');
define('LANG_GROUP_ACCESS','Group Access');
define('LANG_REP','Representative');
define('LANG_CREATE_USER_GROUP','Create User Group');
define('LANG_QUICK_SEARCH','Quick Search');
define('LANG_SHOW_ALL','Show All (Reset)');
define('LANG_EXACT_PHRASE','Exact phrase');
define('LANG_ALL_WORDS','All words');
define('LANG_ANY_WORD','Any word');
define('LANG_DEL_SEL','Delete Selected');
define('LANG_SELECT','Select');
define('LANG_SELECT_ALL','Select All');
define('LANG_UNSELECT','Unselect');
define('LANG_PREV','Prev');
define('LANG_NEXT','Next');
define('LANG_INVALID_RECORD','Invalid Record! Key is null.');
define('LANG_ADD_TO_BANLIST','Add to Ban List');
define('LANG_NO_RECORDS_FOUND','No records found');
define('LANG_TITLE_MY','My Account');
define('LANG_TITLE_CAT','Categories');
define('LANG_TITLE_REP','Representatives');
define('LANG_TITLE_GROUPS','User Groups');
define('LANG_TITLE_PREF','Preferences');
define('LANG_TITLE_MAIL','Mail Responses');
define('LANG_TITLE_BANLIST','Ban List');
define('LANG_TITLE_VIEWTICKET','View Ticket');
define('LANG_TITLE_ADMIN_LOGIN','Administrator Login');
define('LANG_TITLE_USER_LOGIN','Login');
define('LANG_LAST','Last');
define('LANG_PAGE','Page');
define('LANG_ERROR_MUST_BE_LOGGED_IN','You must be logged in to use this feature');
define('LANG_HELP','eTicket Help');
define('LANG_HELP_BODY','<p>Move your mouse over the table headings and hold there, a tooltip will appear.<br><small>* denotes there is a private message.</small></p>');
define('LANG_TIP_TICKET','the id of the ticket generated automatically');
define('LANG_TIP_DATE','date the ticket was first raised');
define('LANG_TIP_SUBJECT','subject of the ticket');
define('LANG_TIP_CAT','category the ticket is assigned to');
define('LANG_TIP_PRIORITY','how important the ticket is to the user');
define('LANG_TIP_FROM','who rised the ticket');
define('LANG_TIP_UM','number of unanswered messages');
define('LANG_TIP_CLOSE','closes a selected ticket');
define('LANG_TIP_VIEW_ANSWERED','view tickets replied by customer service');
define('LANG_TIP_VIEW_OPEN','view tickets opened');
define('LANG_TIP_VIEW_CLOSED','view tickets closed');
define('LANG_TIP_REOPEN','reopens a closed ticket');
define('LANG_TIP_REFRESH','refreshes page');
define('LANG_TIP_DELETE','deletes the selected tickets');
define('LANG_DELETE_CONFIRM','Are you sure you want to delete this?');
define('LANG_CAPTCHA_TITLE','Security code');
define('LANG_ERROR_CAPTCHA','You have provided an invalid security code');
define('LANG_SUBMIT','Submit');
define('LANG_ERROR_VALUE_EMPTY','Value cannot be empty, please enter text');
define('LANG_BANLIST_RECORD_TOTAL','Records %start to %stop of %total');
define('LANG_ALL','All');
define('LANG_DAYS','Days');
define('LANG_PAGES','Pages');
define('LANG_WITHIN_LAST','Within Last');
define('LANG_NO_TICKETS','There are no tickets to display');
define('LANG_PREDEFINED','Predefined');
define('LANG_OPEN_TICKETS','Open Tickets');
define('LANG_ANSWERED_TICKETS','Answered Tickets');
define('LANG_CLOSED_TICKETS','Closed Tickets');
define('LANG_ADVANCED_SEARCH','Advanced Search');
define('LANG_BASIC_SEARCH','Basic Search');
define('LANG_USE_DATES','Use Dates');
define('LANG_BETWEEN','Between');
define('LANG_NEWTICKET','This ticket was created for you by a representative.');
define('LANG_BIGGER','Bigger');
define('LANG_SMALLER','Smaller');
define('LANG_UP_ERR_NODATA','No uploaded file data');
define('LANG_UP_ERR_EMPTY','Empty uploaded file data');
define('LANG_UP_ERR_INVALIDPATH','Upload path is invalid');
define('LANG_UP_ERR_WRITEPATH','Upload path is NOT writable');
define('LANG_UP_ERR_NOFILE','Not an uploaded file');
define('LANG_UP_ERR_INVALIDTYPE','Invalid file type');
define('LANG_UP_ERR_TOOBIG','File is too big');
define('LANG_UP_ERR_EXISTS','File already exists');
define('LANG_UP_ERR_FAILED','Upload failed');
//define('LANG_','');
?>