<?php
/*
	eTicket, Open Source Support Ticket System
	http://eticket.sourceforge.net/

	Released under the GNU General Public License
*/

if(!defined('ISINC')) die('serious error');

class ticket {
	var $id;
	var $subject;
	var $name;
	var $email;
	var $phone;
	var $status;
	var $rep;
	var $cat;
	var $priority;
	var $unanswered;
	var $age;
	var $short_time;
	var $ip;

	function Ticket ($row) {
	  global $config;

		$this->id = $row['ID'];
		$this->subject = $row['subject'];
		$this->name = $row['name'];
		$this->email = $row['email'];
		$this->phone = $row['phone'];
		$this->status = $row['status'];
		//$this->rep = $row['rep']; //does not exist in eTicket yet
		$this->cat = $row['cat'];
		$this->priority = $row['priority'];
		$this->ip = $row['ip'];
		$this->timestamp = $row['timestamp'];
		$this->short_time = date($config['short_date_format'], time_convert($this->timestamp));
		$this->datetime = date($config['time_format'], time_convert($this->timestamp));
		$this->unanswered = $row['unanswered']?$row['unanswered']:get_un_tickets($this->id);
    if (!$this->unanswered && $this->status !== 'closed') { $this->status = 'answered'; }
	}
}

function get_un_tickets($id) {
        $qs = mysql_query("SELECT * FROM ticket_messages WHERE ticket=$id ORDER BY timestamp");
        $in = mysql_num_rows($qs);
        $un=0;
        while ($q = mysql_fetch_array($qs)) {
        	$answer = mysql_fetch_array(mysql_query("SELECT message FROM ticket_answers WHERE reference=".$q['ID']));
        	if ($answer['message']) { --$in; }
        	else { ++$un; }
        	if ($un && $answer['message']) {
                $in -= $un;
                $un = 0;
        	}
        }
        return $in;
}

function has_priv_msg($id) {
	if ($_SESSION['user']['type'] == 'admin') {
		$priv_res = mysql_query("SELECT * FROM ticket_privmsg WHERE ticket='$id'");
		$count = mysql_num_rows($priv_res);
		if ($count) return '*';
	}
}

function email_alert($ticket, $msg) {
    global $config;

		$ticket=preg_replace('/\D+/', '', $ticket); //sanitise

		$t = mysql_fetch_array(mysql_query("SELECT * FROM tickets WHERE ID=".$ticket));
    $m = mysql_fetch_array(mysql_query("SELECT * FROM ticket_messages WHERE ID=".$msg));
    $cat = get_category($t['cat']);

		 $subject=$config['alert_subj'];
		 $message=$config['alert_msg'];
		 $from=$config['alert_email'];

     $subject = str_replace('%ticket', $t['ID'], $subject);
     $subject = str_replace('%subject', stripslashes($t['subject']), $subject);
     $subject = str_replace('%category', $cat['name'], $subject);
     $message = str_replace('%ticket', $t['ID'], $message);
     $message = str_replace('%email', $t['email'], $message);
     $message = str_replace('%name', $t['name'], $message);
     $message = str_replace('%datetime', date('r', time_convert($m['timestamp'])), $message);
     $message = str_replace('%message', $m['message'], $message);
     $message = str_replace('%subject', stripslashes($t['subject']), $message);
     $message = str_replace('%category', $cat['name'], $message);
     $message = str_replace('%url', $config['root_url'], $message);
     
     $headers[]='From: '.$from;
     $headers[]='Precedence: bulk';
     if ($t['priority'] == 1) { 
     		$headers[]='X-Priority: 1 (Highest)';
     		$headers[]='X-MSMail-Priority: High';
     		$headers[]='Importance: High';
     }

    mail($config['alert_user'], $subject, $message,implode("\n",$headers),'-f'.$from);
}

if (!function_exists('getmxrr')) {
	function getmxrr ($domain,$mx) { return true; }
}

function is_email($email) {
	$pattern='/^(([A-Za-z0-9]+_+)|([A-Za-z0-9]+\-+)|([A-Za-z0-9]+\.+)|([A-Za-z0-9]+\++))*[A-Za-z0-9]+@((\w+\-+)|(\w+\.))*\w{1,63}\.[a-zA-Z]{2,6}$/';
	if(preg_match($pattern, $email)) {
	 	list($user,$domain)=split('@',$email);
	  if(getmxrr($domain,$mx='')) { return $email; }
 	}
}

function striptags($string){
	$search = array('@<script[^>]*?>.*?</script>@si',  // Strip out javascript
	               '@<style[^>]*?>.*?</style>@siU',    // Strip style tags properly
	               '@<[\/\!]*?[^<>]*?>@si',            // Strip out HTML tags
	               '@<![\s\S]*?--[ \t\n\r]*>@'        // Strip multi-line comments including CDATA
	);
	$string = preg_replace($search, '', $string);
	return $string;
}

function login($type, $id, $pass) {
	if ($_REQUEST['a'] == 'logout') { return; }
	$id=strtolower(escapeString($id));
	$pass=escapeString($pass);
	if ($type == 'admin') {
		$sql="SELECT password FROM ticket_reps WHERE username=$id AND password=$pass";
		if ($query=mysql_query($sql)) { $row = mysql_fetch_array($query); }
	}
	else {
		$sql="SELECT ID FROM tickets WHERE email=$id AND ID=$pass";
		if ($query=mysql_query($sql)) { $row = mysql_fetch_array($query); }
	}
	if ($row['password']) {
		$permis = mysql_fetch_array(mysql_query("SELECT user_group FROM ticket_reps WHERE username=".$id));
		$permis = mysql_fetch_array(mysql_query("SELECT * FROM ticket_groups WHERE ID=".$permis['user_group']));
		if (isset($permis['cat_access'])) { $permis['cat_access']=explode(':',$permis['cat_access']); }
	}
	elseif ($row['ID']) { $permis = 1; }
	else { $permis = 0; }
	return $permis;
}

function logout($page='index.php') {
	session_destroy();
	header('Location: '.$page);
	die();
}

function ValidID($id) {
	$id=preg_replace('/\D+/', '', $id); //sanitise
	$res=mysql_query("SELECT ID FROM tickets WHERE ID=".$id);
	if ($array=mysql_fetch_assoc($res)) { return $array['ID']; }
}

//Ticket Functions
function CreateTicket($subject, $name, $email, $cat, $phone, $pri=2, $ip='', $message='', $sendmail=TRUE) {
    global $config;

	if (($ip != '') && ($_SERVER['REMOTE_ADDR'] != '')) { $ip=$_SERVER['REMOTE_ADDR']; }
	if (($pri == '') || ($pri < 0 || $pri >3)) $pri = 2;
	$pri=preg_replace('/\D+/', '', $pri); //sanitise
	$cat=preg_replace('/\D+/', '', $cat); //sanitise
	$cat=get_category($cat);

	do {
		mt_srand ((double) microtime() * 1000000);
		$id = mt_rand(100000, 999999);
	} while(ValidID($id));
	
	//prep vars for inclusion time
	$sql_subject=escapeString(striptags($subject));
	$sql_name=escapeString(striptags($name));
	$sql_email=escapeString(striptags(strtolower($email)));
	$sql_phone=escapeString(striptags($phone));
	$sql_ip=escapeString(striptags($ip));
	$gmtime = time() - date('Z');

  $sql="SELECT UNIX_TIMESTAMP(timestamp) AS timestamp FROM tickets WHERE email=$sql_email ORDER BY timestamp DESC";
  $t=mysql_fetch_array(mysql_query($sql));
  $interval = $gmtime - $t['timestamp'];

	$sql="INSERT INTO tickets (subject, name, email, cat, phone, status, ID, priority, ip, timestamp) VALUES ($sql_subject, $sql_name, $sql_email, '$cat[ID]', $sql_phone, 'open', $id, $pri, $sql_ip, FROM_UNIXTIME($gmtime))";
	$query=mysql_query($sql);

    $id = mysql_error() ? $sql.mysql_error(): $id;
    
    if ($sendmail) { //should we send?
			
			$subject=get_magic_quotes_gpc()?stripslashes($subject):$subject;
			$ticket_subj=$config['ticket_subj'];
	    $ticket_subj = stripslashes(str_replace('%ticket', $id, $ticket_subj));
	    $ticket_subj = stripslashes(str_replace('%subject', $subject, $ticket_subj));
	    $ticket_msg = stripslashes(str_replace('%ticket', $id, $config['ticket_msg']));
	    $ticket_msg = str_replace('%subject', $subject, $ticket_msg);
	    $ticket_msg = str_replace("%message", $message, $ticket_msg);
			$ticket_msg = str_replace('%name', $name, $ticket_msg);
			$ticket_msg = str_replace('%email', $email, $ticket_msg);
	    $ticket_msg = str_replace('%url', $config['root_url'], $ticket_msg);
	
	    if ($config['remove_original']) { $remove_tag = $config['remove_tag']."\n\n"; }
	
	    if (($interval >= $config['min_interval']) && $config['ticket_response']) {
	        mail($email, $ticket_subj, $remove_tag.stripslashes($ticket_msg).$config['presig'].$cat['signature'], 'From: '.$cat['email'],'-f'.$cat['email']);
	    }
  	}

	return $id;
}

function CloseTicket($ticket) {
	$ticket=preg_replace('/\D+/', '', $ticket); //sanitise
	$query="UPDATE tickets SET status = 'closed' WHERE ID=".$ticket;
	if (mysql_query($query)) { return TRUE; }
	else { return FALSE; }
}

function ReopenTicket($ticket) {
	$ticket=preg_replace('/\D+/', '', $ticket); //sanitise
	$query="UPDATE tickets SET status='open' WHERE ID=".$ticket;
	if (mysql_query($query)) { return TRUE; }
	else { return FALSE; }
}

function DeleteTicket($id) {
    global $config;

	$id=preg_replace('/\D+/', '', $id); //sanitise

	mysql_query("DELETE FROM ticket_answers WHERE ticket=".$id);
	mysql_query("DELETE FROM ticket_messages WHERE ticket=".$id);
	mysql_query("DELETE FROM tickets WHERE id=".$id);

	$files = mysql_query("SELECT filename FROM ticket_attachments WHERE ticket=".$id);
	while ($file=mysql_fetch_array($files)) {
		if (file_exists($config['attachment_dir'].$file['filename'])) {
			@unlink($config['attachment_dir'].$file['filename']);
		}
	}
	mysql_query("DELETE FROM ticket_attachments WHERE ticket=".$id);
	
	$files = mysql_query("SELECT * FROM ticket_privmsg WHERE ticket=".$id);
	while ($file = mysql_fetch_array($files)) {
		if (file_exists($config['attachment_dir'].$file['attachment'])) {
		  @unlink($config['attachment_dir'].$file['attachment']);
		}
	}
	mysql_query("DELETE FROM ticket_privmsg WHERE ticket=".$id);
	mysql_query("DELETE FROM ticket_attachments WHERE ticket=".$id);
}

function PostMessage($ticket, $message, $header='', $notify=true) {
	global $config;
	
	$ticket=preg_replace('/\D+/', '', $ticket); //sanitise

	$header=$config['save_headers']? $header:'';
	$sql_header=escapeString(striptags($header));
	$sql_message=escapeString(striptags($message));
	$gmtime = time() - date('Z');
	
	ReopenTicket($ticket);

	$sql="INSERT INTO ticket_messages (ticket, message, headers, timestamp) VALUES($ticket,$sql_message,$sql_header, FROM_UNIXTIME($gmtime))";
	$query=mysql_query($sql);
    if ($config['alert_new']) { email_alert($ticket, mysql_insert_id()); }
	$t = mysql_fetch_array(mysql_query("SELECT * FROM tickets WHERE ID=".$ticket));
	$c = mysql_fetch_array(mysql_query("SELECT email,signature FROM ticket_categories WHERE ID=".$t['cat']));
 
 	$subject=$config['message_subj'];
 	$message=$config['message_msg'];
	$subject = stripslashes(str_replace('%ticket', $ticket, $subject));
	$subject = str_replace('%subject', stripslashes($t['subject']), $subject);
	$message = stripslashes(str_replace('%ticket', $ticket, $message));
 	$message = str_replace('%url', $config['root_url'], $message);
	$message = str_replace('%subject', stripslashes($t['subject']), $message);
	$message = str_replace('%email', $t['email'], $message);
	$message = str_replace('%name', $t['name'], $message);

	if ($config['remove_original']) { $remove_tag = $config['remove_tag']."\n\n"; }
				$headers=array();
        $headers[] = 'From: '.$c['email'];
        $headers[] = "Precedence: bulk";

	if ($config['message_response'] and $notify) {
        	mail($t['email'], $subject, $remove_tag.$message.$config['presig'].$c['signature'], implode("\n",$headers),'-f'.$c['email']);
  }

	return mysql_insert_id();
}

function PostAnswer($message, $rep, $reference, $attachment=false) {
	global $config;
    if ($msg_res = mysql_query("SELECT ticket FROM ticket_messages WHERE ID=".$reference)) {
		if ($msg_row = mysql_fetch_array($msg_res)) {
			$ticket = $msg_row['ticket'];
		}
	}
	if (!$ticket) {//there was no message to respond to, create a blank one!
		$ticket=$reference;
		$ticket=PostMessage($ticket, 'blank');
	}

	$res = mysql_query("SELECT * FROM tickets WHERE ID=$ticket");
	if (mysql_error() or !mysql_num_rows($res)) { return false; }

	$sql_message=escapeString(striptags($message));
	$gmtime = time() - date('Z');
	mysql_query("INSERT INTO ticket_answers (ticket, message, rep, reference, timestamp) VALUES($ticket,$sql_message, $rep, $reference, FROM_UNIXTIME('$gmtime'))");
	if (mysql_error()) { return false; }

	$ticket_row = mysql_fetch_array($res);
	$cat_res = mysql_query("SELECT * FROM ticket_categories WHERE ID=".$ticket_row['cat']);
	$cat_row = mysql_fetch_array($cat_res);
	$rep_res = mysql_query("SELECT * FROM ticket_reps WHERE ID=".$rep);
	$rep_row = mysql_fetch_array($rep_res);

	$message = str_replace("\r", "\n", $message);
	$message = str_replace("\n\n", "\n", $message);
	
	if ($config['remove_original'] && $config['remove_tag']) { $remove_tag = $config['remove_tag']."\n\n"; }
	
	$answer_subj = $config['answer_subj'];
	$answer_subj = str_replace('%subject', stripslashes($ticket_row['subject']), $answer_subj);
	$answer_subj = str_replace('%ticket', $ticket_row['ID'], $answer_subj);
	$answer_msg = $config['answer_msg'];
	$answer_msg = str_replace('%answer', stripslashes($message), $answer_msg);
	$answer_msg = str_replace('%subject', stripslashes($ticket_row['subject']), $answer_msg);
	$answer_msg = str_replace('%ticket', $ticket_row['ID'], $answer_msg);
	$answer_msg = str_replace('%url', $config['root_url'], $answer_msg);
	$answer_msg = str_replace('%name', $ticket_row['name'], $answer_msg);
	$answer_msg = str_replace('%email', $ticket_row['email'], $answer_msg);

	$sig = $rep_row['signature'];
	$sig = str_replace("\r", "\n", $sig);
	$sig = str_replace("\n\n", "\n", $sig);

	if ($config['accept_attachments'] && $config['attachment_dir'] && $attachment['name']) {
    	$file = fopen($attachment['tmp_name'],'rb');
        $data = fread($file,filesize($attachment['tmp_name']));
        $data = chunk_split(base64_encode($data));
        fclose($file);

        $semi_rand = md5(time());
        $mime_boundary = "==Multipart_Boundary_x{$semi_rand}x";

        $headers = "MIME-Version: 1.0\n" .
                   "Content-Type: multipart/mixed;\n" .
                   " boundary=\"{$mime_boundary}\"\n";

        $message = "This is a multi-part message in MIME format.\n\n" .
                   "--{$mime_boundary}\n" .
                   "Content-Type: text/plain; charset=\"iso-8859-1\"\n" .
                   "Content-Transfer-Encoding: 7bit\n\n" .
                   $remove_tag.$answer_msg.$config['presig'].$sig;

        $message .= "--{$mime_boundary}\n" .
                    "Content-Type: " . $attachment['type'] . ";\n" .
                    " name=\"" . $attachment['name'] . "\"\n" .
                    "Content-Disposition: attachment;\n" .
                    " filename=\"" . $attachment['name'] . "\"\n" .
                    "Content-Transfer-Encoding: base64\n\n" .
                    $data."\n\n".
                    "--{$mime_boundary}--\n";
    }
    else {
        if ($config['remove_original'] && $config['remove_tag']) {
          $remove_tag = $config['remove_tag']."\n\n";
        }
				$message = $remove_tag.$answer_msg.$config['presig'].$sig;
    }

    $extra_headers = 'From: '.$cat_row['email']."\n";
    $extra_headers .= 'Precedence: bulk';

	mail($ticket_row['email'], $answer_subj, $message, $headers.$extra_headers,'-f'.$cat_row['email']);

	return mysql_insert_id();
}

function time_convert($mysql_timestamp) {
    global $config;
    $t = mysql_fetch_array(mysql_query("SELECT UNIX_TIMESTAMP('$mysql_timestamp') AS timestamp"));
    $t['timestamp'] += ($config['timezone'] * 3600);
    return $t['timestamp'];
}

function load_buttons() {
	global $login,$titles,$image_dir;

    if ($_SESSION['user']['type'] == 'admin') {
        $access = array();
        foreach ($titles as $item => $val) {
            if ($login[$item]) {
                array_push($access, '<a href="admin.php?a='.$item.'" title="'.$val.'"><img src="'.$image_dir.'buttons/'.$item.'.gif" alt="'.$val.'" border="0"></a>');
            }
        }
        $access = join(" \n", $access);
        $access = $access ? $access: '';
		echo "\n".'<div class="buttons">'.$access."\n".
		' <a href="admin.php?a=my" border="0" title="My Account"><img src="'.$image_dir.'buttons/my.gif" alt="My Account" border="0"></a>' .
		"\n</div><br>\n";
    }
}

function make_clickable($buffer) {
    $buffer = eregi_replace("(^|[ \n\r\t])((http(s?)://)(www\.)?([a-z0-9_-]+(\.[a-z0-9_-]+)+)(/[^/ \n\r]*)*)","\\1<a href=\"\\2\" target=\"_blank\">\\2</a>", $buffer);
    $buffer = eregi_replace("(^|[ \n\r\t])((ftp://)(www\.)?([a-z0-9_-]+(\.[a-z0-9_-]+)+)(/[^/ \n\r]*)*)","\\1<a href=\"\\2\" target=\"_blank\">\\2</a>", $buffer);
    $buffer = eregi_replace("(^|[ \n\r\t])(www\.([a-z0-9_-]+(\.[a-z0-9_-]+)+)(/[^/ \n\r]*)*)","\\1<a href=\"http://\\2\" target=\"_blank\">\\2</a>", $buffer);
    $buffer = eregi_replace("(^|[ \n\r\t])(ftp\.([a-z0-9_-]+(\.[a-z0-9_-]+)+)(/[^/ \n\r]*)*)","\\1<a href=\"ftp://\\2\" target=\"_blank\">\\2</a>", $buffer);
    //$buffer = eregi_replace("([a-z_-][a-z0-9\._-]*@[a-z0-9_-]+(\.[a-z0-9_-]+)+)","<a href=\"mailto:\\1\">\\1</a>", $buffer);

    return $buffer;
} 

function get_category($cat=0) { //this function is used above to check the category input
	if ($cat != 0) { $where="WHERE ID=".$cat; }
	else { $where=''; }
	$query=mysql_query("SELECT * FROM ticket_categories ".$where);
	$array=mysql_fetch_array($query);
	return $array;
}

function &array_reverse_ref(&$a) { //this function is used in mail.php to reverse the last answered
   $r = array();
   for($i=0, $j=count($a); $i<count($a); $i++, $j--) {
       $r[$i] =& $a[$j-1];
   }
   return $r;
}

function remove_trailing_slash($dir,$slash='/') {
	if (substr($dir, -1) == $slash) { $dir=substr($dir, 0, -1); }
	return $dir;
}

function add_trailing_slash($dir,$slash='/') {
	if (substr($dir, -1) != $slash) { $dir=$dir.$slash; }
	return $dir;
}

function escapeString($value) {
    $value=trim($value);
    $value=stripslashes($value);
    if (!(is_numeric($value) && intval($value) == $value)) {
			if (function_exists('mysql_real_escape_string')) {
				$value=mysql_real_escape_string($value);
			}
			else {
				$value=addslashes($value);
			}
    }
    $value="'$value'";
    return $value;
}

function get_real_status($status) {
	if ($status == LANG_CLOSED) $return='closed';
	if ($status == LANG_ANSWERED) $return='answered';
	if ($status == LANG_OPEN) $return='open';
	return $return;
}

function get_real_status_names($status) {
	if ($status == 'closed') $return=LANG_CLOSED_TICKETS;
	if ($status == 'answered') $return=LANG_ANSWERED_TICKETS;
	if ($status == 'open') $return=LANG_OPEN_TICKETS;
	if ($status == LANG_CLOSED) $return=LANG_CLOSED_TICKETS;
	if ($status == LANG_ANSWERED) $return=LANG_ANSWERED_TICKETS;
	if ($status == LANG_OPEN) $return=LANG_OPEN_TICKETS;
	return $return;
}

function get_real_status_name($status) {
	if ($status == 'closed') $return=LANG_CLOSED;
	if ($status == 'answered') $return=LANG_ANSWERED;
	if ($status == 'open') $return=LANG_OPEN;
	return $return;
}

function array_merge_keys($arr1, $arr2) {
   foreach($arr2 as $k=>$v) {
       if (!array_key_exists($k, $arr1)) { //K DOESN'T EXISTS //
           $arr1[$k]=$v;
       }
       else { // K EXISTS //
           if (is_array($v)) { // K IS AN ARRAY //
               $arr1[$k]=array_unisci_chiavi($arr1[$k], $arr2[$k]);
           }
       }
   }
   return $arr1;
}

function trim_post($array) { //$array is for array of post keys
	foreach ($array as $key) {
		if (isset($_POST[$key])) {
			$_POST[$key]=trim($_POST[$key]);
		}
	}
}

if (!function_exists('array_combine')) {
	function array_combine( $keys, $vals ) {
	 $keys = array_values( (array) $keys );
	 $vals = array_values( (array) $vals );
	 $n = max( count( $keys ), count( $vals ) );
	 $r = array();
	 for( $i=0; $i<$n; $i++ ) {
	  $r[ $keys[ $i ] ] = $vals[ $i ];
	 }
	 return $r;
	}
}

//upload function: name of form file field,destination filename,max file size,file types(.ext or mi/me)
function upload_file($file,$dest='',$maxsize='99999',$types=array()) {

	$errors=array();
	/*
	$errors['nodata']='No uploaded file data';
	$errors['empty']='Empty uploaded file data';
	$errors['invalidpath']='Upload path is invalid';
	$errors['pathwrite']='Upload path is NOT writable';
	$errors['nofile']='Not an uploaded file';
	$errors['invalidtype']='Invalid file type';
	$errors['toobig']='File is too big';
	$errors['exists']='File already exists';
	$errors['failed']='Upload failed';
	*/
	$errors['nodata']=LANG_UP_ERR_NODATA;
	$errors['empty']=LANG_UP_ERR_EMPTY;
	$errors['invalidpath']=LANG_UP_ERR_INVALIDPATH;
	$errors['pathwrite']=LANG_UP_ERR_WRITEPATH;
	$errors['nofile']=LANG_UP_ERR_NOFILE;
	$errors['invalidtype']=LANG_UP_ERR_INVALIDTYPE;
	$errors['toobig']=LANG_UP_ERR_TOOBIG;
	$errors['exists']=LANG_UP_ERR_EXISTS;
	$errors['failed']=LANG_UP_ERR_FAILED;
	
	if (empty($dest)) { $dest='./'.$file['name']; }
	
	if (!isset($file)) { return $errors['nodata']; } // No uploaded file data
	if (empty($file)) { return $errors['empty']; } // Empty upload file data
	if ($file['error'] != 0) { return $file['error']; } // General error
	if (!is_dir(dirname($dest))) { return $errors['invalidpath']; } // Upload path is invalid
	if (!is_writeable(dirname($dest))) { return $errors['pathwrite']; } // Upload path is NOT writable
	if (!is_uploaded_file($file['tmp_name'])) { return $errors['nofile']; } // Not and uploaded file
	if (!check_file_types($file['name'],$types)) { return $errors['invalidtype']; } // Invalid file type
	if ($file['size'] > $maxsize) { return $errors['toobig']; } // File is too big
	if (file_exists($dest)) { return $errors['exists']; } // File already exists
	if (!copy($file['tmp_name'],$dest)) { return $errors['failed']; } //Upload failed
	@unlink($file['tmp_name']); //we'll delete the temp file quietly.

	return 1; //nothing failed
}

function check_file_types($file,$types=array()) {
	if (!empty($types)) {
		foreach ($types as $type) {
			if (strstr($type, '/')) {
				if (mime_content_type($file) == $type) { return TRUE; }
			}
			else {
				if (get_ext($file) == $type) { return TRUE; }
			}
		}
	}
}

if (!function_exists('mime_content_type')) {
    function mime_content_type($filename) {
        $finfo    = finfo_open(FILEINFO_MIME);
        $mimetype = finfo_file($finfo, $filename);
        finfo_close($finfo);
        return $mimetype;
    }
}

function get_ext($file) { //returns .ext, ie: .jpg
	//$ext=substr($file, strrpos($file,'.'), strlen($file) - strrpos($file,'.'));
	//$ext=preg_replace("/.*\.(.{3,8})$/", "$1", $file);
	$ext=substr($file,strrpos($file,'.'));
	return $ext;
}

?>