<?php
/*
	eTicket, Open Source Support Ticket System
	http://eticket.sourceforge.net/

	Released under the GNU General Public License
*/

if ($_SESSION['user']['type'] !== 'admin') { die(LANG_ERROR_DENIED); }
if(!defined('ISINC')) die('serious error');
load_buttons();
?>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <form action="<?=htmlspecialchars($_SERVER['REQUEST_URI'])?>" method="post">
    <input type="hidden" name="a" value="pref">
    <tr>
      <td> 
        <table width="100%" border="0" cellspacing="1" cellpadding="2" class="TableMsg">
          <tr>
            <td class="TableHeaderText" width="220">&nbsp;<?=LANG_ATTACHMENTS?>:</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_ACC_ATTACH?>:</td>
            <td class="mainTableAlt">
              <input type="checkbox" name="accept_attachments" value="<?=$config['accept_attachments'] ? '1" checked' : '0"'?>>
              &nbsp;&nbsp;<b><?=LANG_WARNING?>:</b>&nbsp;<?=LANG_ACC_ATTACH_TIP?></td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_MAX_FILE_SIZE?>:</td>
            <td class="mainTableAlt">
              <input type="text" name="attachment_size" value="<?=$config['attachment_size']?>">
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_ATTACH_URL_PATH?>:</td>
            <td class="mainTableAlt">
              <input type="text" size="70" name="attachment_url" READONLY value="<?=$config['attachment_url']?>">
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_ATTACH_DIR?>:</td>
            <td class="mainTableAlt">
              <input type="text" size="70" name="attachment_dir" value="<?=$config['attachment_dir']?>">
              <br><?=LANG_ATTACH_DIR_TIP?>
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_ACC_FILE_TYPES?>:</td>
            <td class="mainTableAlt"> 
              <table>
                <tr>
                  <td> 
                    <select size="5" name="filetypes">
              <?
         			$types = explode(';', $config['filetypes']);
         			unset($types[count($types)-1]);
         			foreach ($types as $type) {
          		?>
                      <option>
                      <?=$type?>
                      </option>
                      <?}?>
                    </select>
                  </td>
                  <td valign="top"> 
                    <input type="submit" name="remove_filetype" value="<?=LANG_REM_TYPE?>" class="inputsubmit">
                    <br>
                    <table>
                      <tr>
                        <td>
                          <input type="text" name="ext" size="4">
                        </td>
                        <td>
                          <input type="submit" name="add_filetype" value="<?=LANG_ADD?>" class="inputsubmit">
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
		<br><br>
        <table width="100%" border="0" cellspacing="1" cellpadding="2" class="TableMsg">
          <tr>
            <td class="TableHeaderText" width="220">&nbsp;<?=LANG_MAIL?></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td class="mainTable" width="220">&nbsp;<?=LANG_ANS_METHOD?>:</td>
            <td class="mainTableAlt">
              <select name="answer_method">
                <option value="automatic" <?=$config['answer_method']=="automatic" ? "selected": ""?>>automatic</option>
                <option value="pop3" <?=$config['answer_method']=="pop3" ? "selected": ""?>>pop3</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_SAVE_EMAIL_HEADERS?>:</td>
            <td class="mainTableAlt">
              <input type="checkbox" name="save_headers" <?=$config['save_headers'] ? "checked": ""?>>
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_MIN_EMAIL_INT?>:</td>
            <td class="mainTableAlt">
              <input type="text" name="min_interval" value="<?=$config['min_interval']?>">
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_MAX_OPEN_TICKETS?>:</td>
            <td class="mainTableAlt">
              <input type="text" name="ticket_max" value="<?=$config['ticket_max']?>">
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_REM_ORIGINAL_EMAIL?>:</td>
            <td class="mainTableAlt">
              <input type="checkbox" name="remove_original" <?=$config['remove_original'] ? "checked": ""?>>
            </td>
          </tr>
          <tr>
            <td class="mainTable">&nbsp;<?=LANG_REM_TAG?>:</td>
            <td class="mainTableAlt">
              <input type="text" name="remove_tag" value="<?=$config['remove_tag']?>">
            </td>
          </tr>
        </table>
		<br><br>
		<table width="100%" border="0" cellspacing="1" cellpadding="2" class="TableMsg">
			<tr><td class="TableHeaderText" width="220">&nbsp;<?=LANG_MISC?></td><td>&nbsp;</td></tr>
			<tr><td class="mainTable">&nbsp;<?=LANG_ROOT_URL?>:</td><td class="mainTableAlt"><input type="text" name="root_url" value="<?=$config['root_url']?>"></td></tr>
	        <tr class="mainTable"><td>&nbsp;<?=LANG_SEARCH_ON_MAIN?>:</td><td class="mainTableAlt"><input type="checkbox" name="search_disp" <?=$config['search_disp'] ? 'checked': ''?>></td></tr>

            <tr><td class="mainTable">&nbsp;<?=LANG_PREF_TIMEZONE?>:
            </td><td class="mainTableAlt">

            <select name="timezone">
            <?php
						//$timezones & $gmoffset var was removed from here so its editable and can be used else where if required.
            foreach ($timezones as $item => $val) {
                $selected = ($config['timezone'] == $item) ? ' SELECTED':'';
                ?>
                <option value="<?=$item?>"<?=$selected?>><?=$val?></option>
                <?php
            }
            ?>
            </select>
            </td></tr>
            
            <tr><td class="mainTable">&nbsp;<?=LANG_TICKETS_PP?>:
                </td><td class="mainTableAlt">
        	    <select name="tickets_per_page">
                <?php
                for ($x = 5; $x <= 50; $x += 5) {
                    ?>
                    <option<?=$config['tickets_per_page'] == $x ? ' SELECTED': ''?>><?=$x?></option>
                    <?php
                }
                ?>
                </select>
            </td></tr>

            <tr><td class="mainTable">&nbsp;<?=LANG_NO_ANS_MSGS?>:</td><td class="mainTableAlt">
            <input type="text" name="umq" value="<?=$config['umq']?>"></td></tr>
	    <tr><td class="mainTable">&nbsp;<a href="http://www.php.net/date"><?=LANG_TIME_FORMAT?></a>:</td>
	    <td class="mainTableAlt"><input type="text" name="time_format" value="<?=$config['time_format']?>"></td></tr>
		</table>
        <br><input class="inputsubmit" type="submit" name="submit" value="<?=LANG_SAVE_CHANGES?>">
      </td>
    </tr>
  </form>
</table>
