<?php
if (!$step) { header('Location: install.php'); die(); }

if (!isset($errors)) {

	//get rootpath details
	$current_dir=getcwd(); //store current dir
	chdir('..'); //drop down a level
	$rootpath_dir=add_trailing_slash(getcwd(),SLASH); //save this, add a slash
	chdir($current_dir); //return to dir
	
	//url details
	$domain=str_replace('www.','',$_SERVER['HTTP_HOST']); //this is just a guess, the user can change this
	$proto=(isset($_SERVER['HTTPS']))?'https':'http';
	$root_url=$proto.'://'.$_SERVER['HTTP_HOST'].remove_trailing_slash(cleanPath(dirname($_SERVER['PHP_SELF']).'/../')); //just a guess
	
	//fields to look for when replacing
	$fields=array('db_type','db_host','db_name','db_user','db_pass');

if($conn = @mysql_connect($_POST['db_host'],$_POST['db_user'],$_POST['db_pass'])) {
	echo "<p>Database connection established...</p>\n";
	if(mysql_select_db($_POST['db_name'], $conn)) {
	echo "<p>Found database...</p>\n";
		//update the settings.php file according to the new database settings
		$file='..'.SLASH.'settings.php';
		$str=file_get_contents($file);
		foreach ($fields as $field) {
			$str=preg_replace("/($field)( = ')(.*)(';)/", '${1}${2}'.$_POST[$field].'${4}', $str);
		}
		if($handle = fopen($file, 'w')) {
			if(fwrite($handle, $str)) {
				echo "<p>'$file' was updated successfully.</p>\n";
				fclose($handle);
			} 
			else { $errors[]="Could not write to '$file' file."; }
		} 
		else { $errors[]="<b>Could not open '$file' file for writing."; }
		//update the automail.pl file according to the new settings
		$file='..'.SLASH.'automail.pl';
		$str=file_get_contents($file);
		foreach ($fields as $field) {
			$str=preg_replace("/($field)( => ')(.*)(')/", '${1}${2}'.$_POST[$field].'${4}', $str);
		}
		$str=preg_replace("/(ANTISPAM_EMAIL = 'donotreply@)(.*)(';)/", '${1}'.$domain.'${3}', $str);
		$str=preg_replace('/^(.*)/', '#!'.trim($_POST['perl_path']), $str);
		$str=preg_replace("/(mailprog => ')(.*)(')/", '${1}'.trim($_POST['sendmail_path']).'${3}', $str);
		if($handle = fopen($file, 'w')) {
			if(fwrite($handle, $str)) {
				echo "<p>'$file' was updated successfully.</p>\n";
				fclose($handle);
			} 
			else { $errors[]="Could not write to '$file' file."; }
		} 
		else { $errors[]="Could not open '$file' file for writing."; }

		//load .sql file into database
		$sql_query=file_get_contents('database.sql');
		//fix the table prefix on the fly... (not that it works fully yet)
		if (isset($_POST['table_prefix'])) { $table_prefix=$_POST['table_prefix']; }
		else { $table_prefix="ticket_"; }
		$sql_query=str_replace("CREATE TABLE `ticket_","CREATE TABLE `".$table_prefix,$sql_query);
		$sql_query=str_replace("INSERT INTO `ticket_","INSERT INTO `".$table_prefix,$sql_query);
		if (!mysql_run_queries($sql_query,0)) { echo '<p><big><b>WARNING:</b> There was a problem populating the database.<br>Are you sure this is your first install?</big></p>'; }
	}
	else { $errors[]='Connected to the database, but the database name is incorrect.'; }
}
else { $errors[]='Cannot connect to the database <b>server</b> using the information provided.'; }
}

if (!isset($errors)) {
	$output='<hr><p>Enter your settings:</p>
	<table>
	<form id="install" name="install" method="post">

	<tr>
	<td><label>Admin Email</label></td>
	<td><input name="admin_email" type="text" value="admin@'.$domain.'" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: "admin@example.com")</td>
	</tr>

	<tr>
	<td><label>Admin Password</label></td>
	<td><input name="admin_pass" type="password" value="" size="32" />
	</tr>
	<tr>
	<td colspan=2>Please enter a secure password.</td>
	</tr>

	<tr>
	<td><label>Domain (for email addresses)</label></td>
	<td><input name="domain" type="text" value="'.$domain.'" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: "example.com" - ie: "support@example.com")</td>
	</tr>
	         <td><label>Root Path Dir</label></td> 	 
	         <td><input name="rootpath_dir" type="text" value="'.$rootpath_dir.'" size="32" /> 	 
	         </tr> 	 
	         <tr> 	 
	         <td colspan=2>(eg: "/home/user/public_html/helpdesk/")</td> 	 
	         </tr> 	 
	         <tr> 	 
	         <td colspan=2>NOTE: MUST HAVE TRAILING SLASH</td> 	 
	         </tr>
	<tr>
	<td><label>Root URL</label></td>
	<td><input name="root_url" type="text" value="'.$root_url.'" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: "http://www.example.com/helpdesk")</td>
	</tr>

	<tr>
	<td><label>Site Title</label></td>
	<td><input name="site_title" type="text" value="'.$domain.' - Helpdesk" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: "Your Company - Helpdesk")</td>
	</tr>

	<tr>
	<td><label>Attachments Upload Directory</label></td>
	<td><input name="attachment_dir" type="text" value="attachments" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: just "attachments" or "/home/user/attachments/" if its not in your web dir)</td>
	</tr>

	<tr>
	<td><label>Attachments URL</label></td>
	<td><input name="attachment_url" type="text" value="attachments.php" size="32" />
	</tr>
	<tr>
	<td colspan=2>(eg: "attachments.php")</td>
	</tr>

	<tr>
	<td><label></label></td>
	<td>
		<input type="hidden" name="table_prefix" value="'.$table_prefix.'" />
		<input type="hidden" name="step" value="3">
		<input type="submit" name="Submit" value="Update Settings" />
		</td>
	</tr>
	</form></table>';
}

if (isset($errors)) {
  $output=DisplayErrors($errors);
  $output.='<form id="thisform">
  <input type="button" onclick="window.history.go(-1)" value="Go Back" />
  </form>';
}

echo $output;

?>